﻿
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.ContractModel;
using System.Collections.Generic;

namespace ASHermed.SinoInterface.Api.IService
{
    public interface IAuthorizationService
    {
        /// <summary>
        /// 验证用户是否有患者的授权
        /// </summary>
        /// <param name="userId"></param>
        /// <param name="patId"></param>
        /// <param name="authType"></param>
        /// <param name="language"></param>
        /// <returns></returns>
        string IsHasAuth(int userId, int patId, int authType, int language);
        /// <summary>
        /// 解除授权
        /// </summary>
        /// <param name="userId"></param>
        /// <param name="patId"></param>
        /// <returns></returns>
        bool RemoveAuth(int userId, int patId);

        /// <summary>
        /// 用户获取授权患者  authType是授权内容
        /// </summary>
        /// <param name="userId"></param>
        /// <param name="authType"></param>
        /// <returns></returns>
        List<Pub_Pat_Info> GetUserAuthPats(int userId, int authType);
    }
}
