﻿using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.App.Model;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService.Basicdata
{
    /// <summary>
    /// 省市区
    /// </summary>
    public interface IProvincesService
    {
        List<Dic_Nationality_Tc> GetTcNationAll();
        /// <summary>
        /// 获取所有的省份
        /// </summary>
        /// <returns></returns>
        Task<BaseResponse<dynamic>> GetProvincesAll(int language);

        /// <summary>
        /// 根据省份获取所有城市
        /// </summary>
        /// <param name="provinceId"></param>
        /// <returns></returns>
        Task<BaseResponse<dynamic>> GetCitysByProvinceId(int provinceId, int language);

        /// <summary>
        /// 根据城市获取所有的区或县
        /// </summary>
        /// <param name="cityId"></param>
        /// <returns></returns>
        Task<BaseResponse<dynamic>> GetAreaByCityId(int cityId, int language);
    }
}
